> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nx1cloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Batch reject model

> Reject multiple models at once.

**Required role**: `nx1_semantic_admin`



## OpenAPI

````yaml post /api/semantic-models/review/batch-reject
openapi: 3.1.0
info:
  title: Nx1 AI API
  description: |

    AI API for Nx1 Data Platform Management and Automated Data Tasks.

    Authentication is required via PSK in Authorization header.

    Default PSK is | [ask a friend] |
  version: 0.10.2
servers: []
security: []
paths:
  /api/semantic-models/review/batch-reject:
    post:
      tags:
        - Semantic models
      summary: Batch reject model
      description: |-
        Reject multiple models at once.

        **Required role**: `nx1_semantic_admin`
      operationId: batch_reject_models_api_semantic_models_review_batch_reject_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BatchRejectionRequest'
        required: true
      responses:
        '200':
          description: Batch rejection results.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BatchOperationResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2AuthorizationCodeBearer: []
        - APIKeyHeader: []
components:
  schemas:
    BatchRejectionRequest:
      properties:
        model_ids:
          items:
            type: string
            format: uuid
          type: array
          title: Model Ids
          description: List of model IDs to reject.
        review_notes:
          type: string
          title: Review Notes
          description: Reason for rejection.
      type: object
      required:
        - model_ids
        - review_notes
      title: BatchRejectionRequest
      description: Request to reject multiple models.
    BatchOperationResponse:
      properties:
        successful:
          items:
            type: string
            format: uuid
          type: array
          title: Successful
        failed:
          items:
            additionalProperties:
              type: string
            type: object
          type: array
          title: Failed
        total_processed:
          type: integer
          title: Total Processed
      type: object
      required:
        - successful
        - failed
        - total_processed
      title: BatchOperationResponse
      description: Response for batch operations.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2AuthorizationCodeBearer:
      type: oauth2
      flows:
        authorizationCode:
          scopes: {}
          authorizationUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/auth
          tokenUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/token
    APIKeyHeader:
      type: apiKey
      in: header
      name: Authorization-PSK

````